Uploaded image for project: 'Beam'
  1. Beam
  2. BEAM-8974

apache_beam.runners.worker.log_handler_test.FnApiLogRecordHandlerTest.test_exc_info is flaky

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.18.0
    • Component/s: sdk-py-harness
    • Labels:
      None

      Description

      The test is failing at apache_beam/runners/worker/log_handler_test.py:110: IndexError

      Added in https://github.com/apache/beam/pull/10292

      Sample job: https://builds.apache.org/job/beam_PreCommit_Python_Cron/2160/

      Console logs:

       

      06:37:37 =================================== FAILURES ===================================
      06:37:37 ___________________ FnApiLogRecordHandlerTest.test_exc_info ____________________
      06:37:37 [gw1] linux2 -- Python 2.7.12 /home/jenkins/jenkins-slave/workspace/beam_PreCommit_Python_Cron/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/target/.tox-py27-gcp-pytest/py27-gcp-pytest/bin/python
      06:37:37
      06:37:37 self = <apache_beam.runners.worker.log_handler_test.FnApiLogRecordHandlerTest testMethod=test_exc_info>
      06:37:37
      06:37:37     def test_exc_info(self):
      06:37:37       try:
      06:37:37         raise ValueError('some message')
      06:37:37       except ValueError:
      06:37:37         _LOGGER.error('some error', exc_info=True)
      06:37:37
      06:37:37       self.fn_log_handler.close()
      06:37:37
      06:37:37 >     log_entry = self.test_logging_service.log_records_received[0].log_entries[0]
      06:37:37 E     IndexError: list index out of range
      06:37:37
      06:37:37 apache_beam/runners/worker/log_handler_test.py:110: IndexError
      06:37:37 ----------------------------- Captured stderr call -----------------------------
      06:37:37 ERROR:apache_beam.runners.worker.log_handler_test:some error
      06:37:37 Traceback (most recent call last):
      06:37:37   File "/home/jenkins/jenkins-slave/workspace/beam_PreCommit_Python_Cron/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/apache_beam/runners/worker/log_handler_test.py", line 104, in test_exc_info
      06:37:37     raise ValueError('some message')
      06:37:37 ValueError: some message
      06:37:37 ------------------------------ Captured log call -------------------------------
      06:37:37 ERROR    apache_beam.runners.worker.log_handler_test:log_handler_test.py:106 some error
      06:37:37 Traceback (most recent call last):
      06:37:37   File "/home/jenkins/jenkins-slave/workspace/beam_PreCommit_Python_Cron/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/apache_beam/runners/worker/log_handler_test.py", line 104, in test_exc_info
      06:37:37     raise ValueError('some message')
      06:37:37 ValueError: some message
      
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                robertwb Robert Bradshaw
                Reporter:
                tvalentyn Valentyn Tymofieiev
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 50m
                  50m